-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local CipherSuitsInterface =
    require 'mdb.bmc.kepler.Managers.Security.TlsConfig.CipherSuitsInterface'

local childs = {}
local CipherSuits = {childs = childs}

local Mdb = require 'mc.mdb'

local TCipherSuits = Mdb.register_object('/bmc/kepler/Managers/:Id/Security/TlsConfig/CipherSuits',
    {{name = 'CipherSuits', interface = CipherSuitsInterface.CipherSuits}})
CipherSuits.CipherSuits = TCipherSuits

function TCipherSuits:ctor(Id)
    self.path = '/bmc/kepler/Managers/' .. Id .. '/Security/TlsConfig/CipherSuits'
end

return CipherSuits
